@echo off
cls
echo.
echo.
echo     _________________________________________________________
echo     33.6Kbps Firmware Upgrade for
echo     Zoom V.34C PCMCIA Faxmodem               January 10, 1997
echo     _________________________________________________________
echo.
echo     NOTE: This firmware will only work for the referenced
echo     modem. If you are using any other modem, hold down the
echo     Ctrl-C keys to exit this program now.
echo.
echo     This program will load the firmware upgrade for your
echo     Zoom V.34C PCMCIA Faxmodem that will allow you to make
echo     connections at speeds of up to 33,600bps.
echo.       
echo     Please make sure that your modem is plugged firmly into the 
echo     PCMCIA slot of this computer. If you are using DOS, Windows
echo     3.1 or 3.11, also ensure that your Card and Socket Service
echo     software is loaded.
echo.     
pause
cls
echo.
echo.
echo     After these screens, you will be asked which COM port your
echo     modem is on. Type the number of the COM port. The program will
echo     perform a few tests, then load the firmware. This process may
echo     take several minutes to complete. DO NOT CANCELL THE OPERATION.
echo     If the program is unable to complete the upload, it will exit
echo     with an error number, then display a listing of possible errors.
echo.
echo     In the rare event that you recieve an error message during the 
echo     install process, please make a note of the error number.
echo     Following a failed installation, a numbered listing of error
echo     messages will appear. Please read this and take the suggested
echo     action.
echo.
pause
cls
shuffle /find
pause
cls
if errorlevel 100 goto faildoc
if errorlevel 1 goto abort
goto success

:faildoc
echo.
echo.
echo.
echo     For some reason the installation has failed. Please consult
echo     the following screens for further instructions.
echo.
pause
cls
type 336up.err|more
pause
goto end
:success
echo.
echo.
echo.
echo     The firmware has been successfully loaded! 
echo.
echo     You must now unplug and then reinsert your modem. You will then 
echo     be able to make up to 33.6Kbps connections with your Zoom PCMCIA
echo     faxmodem. You will not have to repeat this installation as the
echo     software that has just been loaded will remain resident in the
echo     modem whether or not the modem is powered.
echo.
echo     WINDOWS 95 User Note:  You must now reinstall the modem using
echo     the INF file on the disk when prompted for it by Windows 95!
echo.
pause
goto end
:abort
cls
echo.
echo.
echo.
echo     The program was terminated prematurely. You will need to rerun
echo     336UP.BAT to properly load the 33.6Kbps firmware.
echo.
pause
:end
cls
               
